const Sequelize = require('sequelize');
module.exports = function(sequelize, DataTypes) {
  return sequelize.define('heytrip_ids', {
    hotel_id: {
      type: DataTypes.BIGINT,
      allowNull: false,
      primaryKey: true
    },
    last_modify_time: {
      type: DataTypes.DATE,
      allowNull: true,
      defaultValue: Sequelize.Sequelize.literal('CURRENT_TIMESTAMP')
    },
    update_flag: {
      type: DataTypes.TINYINT,
      allowNull: true,
      defaultValue: 1,
      comment: "状态，0更新完成，1待更新"
    },
    priority: {
      type: DataTypes.TINYINT,
      allowNull: true,
      comment: "优先级:low: 10  , normal: 0  , medium: -5  , high: -10  , critical: -15"
    },
    page_index: {
      type: DataTypes.INTEGER,
      allowNull: true
    }
  }, {
    sequelize,
    tableName: 'heytrip_ids',
    timestamps: false,
    indexes: [
      {
        name: "PRIMARY",
        unique: true,
        using: "BTREE",
        fields: [
          { name: "hotel_id" },
        ]
      },
    ]
  });
};
