const Sequelize = require('sequelize');
module.exports = function(sequelize, DataTypes) {
  return sequelize.define('hotelinfo2', {
    hi2_sn: {
      autoIncrement: true,
      type: DataTypes.BIGINT,
      allowNull: false,
      primaryKey: true
    },
    hotel_id: {
      type: DataTypes.BIGINT,
      allowNull: false
    },
    lgc: {
      type: DataTypes.TINYINT,
      allowNull: false
    },
    locale: {
      type: DataTypes.STRING(100),
      allowNull: true
    },
    hi2_hotel_name: {
      type: DataTypes.STRING(100),
      allowNull: true
    },
    hi2_address: {
      type: DataTypes.STRING(1000),
      allowNull: true
    },
    hi2_description: {
      type: DataTypes.TEXT,
      allowNull: true
    },
    h2_instruction_desc: {
      type: DataTypes.TEXT,
      allowNull: true
    },
    h2_instruction_special: {
      type: DataTypes.TEXT,
      allowNull: true
    },
    h2_instruction_fees_desc: {
      type: DataTypes.TEXT,
      allowNull: true
    },
    h2_location_walkable_places_title: {
      type: DataTypes.STRING(1000),
      allowNull: true
    },
    h2_location_walkable_places_desc: {
      type: DataTypes.TEXT,
      allowNull: true
    },
    h2_location_highlight_desc: {
      type: DataTypes.STRING(1000),
      allowNull: true
    },
    h2_review_desc: {
      type: DataTypes.STRING(1000),
      allowNull: true
    }
  }, {
    sequelize,
    tableName: 'hotelinfo2',
    timestamps: false,
    indexes: [
      {
        name: "PRIMARY",
        unique: true,
        using: "BTREE",
        fields: [
          { name: "hi2_sn" },
        ]
      },
      {
        name: "hotelinfo2_unique",
        unique: true,
        using: "BTREE",
        fields: [
          { name: "hotel_id" },
          { name: "lgc" },
        ]
      },
      {
        name: "hotelinfo2_hotel_id_IDX",
        using: "BTREE",
        fields: [
          { name: "hotel_id" },
        ]
      },
      {
        name: "hotelinfo2_lgc_IDX",
        using: "BTREE",
        fields: [
          { name: "lgc" },
        ]
      },
    ]
  });
};
