var DataTypes = require("sequelize").DataTypes;
var _city = require("./city");
var _country = require("./country");
var _facility = require("./facility");
var _heytrip_ids = require("./heytrip_ids");
var _hotelinfo = require("./hotelinfo");
var _hotelinfo2 = require("./hotelinfo2");
var _images = require("./images");
var _informations = require("./informations");
var _locations = require("./locations");
var _request_logs = require("./request_logs");
var _reviews = require("./reviews");
var _reviews_summaries = require("./reviews_summaries");
var _rooms = require("./rooms");

function initModels(sequelize) {
  var cityModel = _city(sequelize, DataTypes);
  var countryModel = _country(sequelize, DataTypes);
  var facilityModel = _facility(sequelize, DataTypes);
  var heytripIdsModel = _heytrip_ids(sequelize, DataTypes);
  var hotelinfoModel = _hotelinfo(sequelize, DataTypes);
  var hotelinfo2Model = _hotelinfo2(sequelize, DataTypes);
  var imagesModel = _images(sequelize, DataTypes);
  var informationsModel = _informations(sequelize, DataTypes);
  var locationsModel = _locations(sequelize, DataTypes);
  var requestLogsModel = _request_logs(sequelize, DataTypes);
  var reviewsModel = _reviews(sequelize, DataTypes);
  var reviewsSummariesModel = _reviews_summaries(sequelize, DataTypes);
  var roomsModel = _rooms(sequelize, DataTypes);

  return {
    cityModel,
    countryModel,
    facilityModel,
    heytripIdsModel,
    hotelinfoModel,
    hotelinfo2Model,
    imagesModel,
    informationsModel,
    locationsModel,
    requestLogsModel,
    reviewsModel,
    reviewsSummariesModel,
    roomsModel,
  };
}
module.exports = initModels;
module.exports.initModels = initModels;
module.exports.default = initModels;
